Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.charts
Class ValueFormatsParser

    java.lang.Object
      org.deegree.graphics.charts.ValueFormatsParser

     class ValueFormatsParser

extends Object

A Parser and tokenizer for the three defined formats.

Version:
  $Revision: $, $Date: 28 Mar 2008 16:33:58$
Author:
  Moataz Elmasry, last edited by: $Author: elmasri$

Field Summary
`static int` | `VALUE_FORMAT_SERIES` &CDU=23,25,21,26&SPD=42 23 33 36
`static int` | `VALUE_FORMAT_SIMPLE` &CDU=34&SPD=36&Gruene=11
`static int` | `VALUE_FORMAT_UNKNOWN` Unknown format
`static int` | `VALUE_FORMAT_XYSERIES` &CDU=1970 23;1974,44;1978,43&SPD=1970,23;1974,44;1978,43

Constructor Summary
`ValueFormatsParser(String value)`

Method Summary
`int` | `getFormatType()`
`String` | `getNext()`
`String` | `getSeparator()`
`int` | `getTupelsCount()`
`String` | `getValue()`
`boolean` | `hasNext()`
`boolean` | `isFormatSeries()`
`boolean` | `isFormatSeriesXY()`
`boolean` | `isFormatSimple()`
`boolean` | `isFormatUnknown()`
`protected boolean` | `matchPattern(String pattern)`
`String` | `nextTupel()`
`void` | `start()` Resets the market to the start of the string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FORMAT_SIMPLE

    public static final int VALUE_FORMAT_SIMPLE

  &CDU=34&SPD=36&Gruene=11

  See Also:
    Constant Field Values

### VALUE_FORMAT_SERIES

    public static final int VALUE_FORMAT_SERIES

  &CDU=23,25,21,26&SPD=42 23 33 36

  See Also:
    Constant Field Values

### VALUE_FORMAT_XYSERIES

    public static final int VALUE_FORMAT_XYSERIES

  &CDU=1970 23;1974,44;1978,43&SPD=1970,23;1974,44;1978,43

  See Also:
    Constant Field Values

### VALUE_FORMAT_UNKNOWN

    public static final int VALUE_FORMAT_UNKNOWN

  Unknown format

  See Also:
    Constant Field Values

Constructor Detail

### ValueFormatsParser

    public ValueFormatsParser(String value)
                       throws IncorrectFormatException

Parameters:
  `value` -
Throws:
  `IncorrectFormatException`

Method Detail

### getValue

    public String getValue()

  Returns:
    String

### isFormatSimple

    public boolean isFormatSimple()

  Returns:
    boolean

### isFormatSeries

    public boolean isFormatSeries()

  Returns:
    boolean

### isFormatSeriesXY

    public boolean isFormatSeriesXY()

  Returns:
    boolean

### isFormatUnknown

    public boolean isFormatUnknown()

  Returns:
    boolean

### matchPattern

    protected boolean matchPattern(String pattern)

  Parameters:
    `pattern` - a regex to match
  Returns:
    true if the pattern matches the value.

### getFormatType

    public int getFormatType()

  Returns:
    A public variable indicating the format type

### getSeparator

    public String getSeparator()

  Returns:
    Separator

### getTupelsCount

    public int getTupelsCount()

  Returns:
    Number of tupels parsed

### start

    public void start()

  Resets the market to the start of the string

### hasNext

    public boolean hasNext()

  Returns:
    true if the tokenizer has more tupels, false otherwise

### getNext

    public String getNext()

  Returns:
    next tupel

### nextTupel

    public String nextTupel()

  Returns:
    nextTupel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org